---------------------
PatchSet 7080 
Date: 2005/10/08 10:01:45
Author: serassio
Branch: negotiate-nt-2_5
Tag: (none) 
Log:
Updated Visual Studio Project with SPNEGO support

Members: 
	port/win32/Makefile.am:1.1.2.8->1.1.2.8.2.1 
	port/win32/squid.dsw:1.1.2.27->1.1.2.27.2.1 
	port/win32/squid_mswin.mak:1.1.2.9->1.1.2.9.2.1 
	port/win32/libnegotiate/.cvsignore:1.1->1.1.2.1 
	port/win32/libnegotiate/libnegotiate.dsp:1.1->1.1.2.1 

Index: squid/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/Makefile.am,v
retrieving revision 1.1.2.8
retrieving revision 1.1.2.8.2.1
diff -u -r1.1.2.8 -r1.1.2.8.2.1
--- squid/port/win32/Makefile.am	1 May 2005 07:50:11 -0000	1.1.2.8
+++ squid/port/win32/Makefile.am	8 Oct 2005 10:01:45 -0000	1.1.2.8.2.1
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1.2.8 2005/05/01 07:50:11 serassio Exp $
+# $Id: Makefile.am,v 1.1.2.8.2.1 2005/10/08 10:01:45 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -41,6 +41,7 @@
 	libheap/libheap.dsp \
 	liblru/liblru.dsp \
 	libmiscutil/libmiscutil.dsp \
+	libnegotiate/libnegotiate.dsp \
 	libntlm/libntlm.dsp \
 	libntlmauth/libntlmauth.dsp \
 	libnull/libnull.dsp \
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.2.27
retrieving revision 1.1.2.27.2.1
diff -u -r1.1.2.27 -r1.1.2.27.2.1
--- squid/port/win32/squid.dsw	1 May 2005 07:50:11 -0000	1.1.2.27
+++ squid/port/win32/squid.dsw	8 Oct 2005 10:01:45 -0000	1.1.2.27.2.1
@@ -348,6 +348,21 @@
 
 ###############################################################################
 
+Project: "libnegotiate"=".\libnegotiate\libnegotiate.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name modules
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "libntlm"=".\libntlm\libntlm.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -557,6 +572,9 @@
     Begin Project Dependency
     Project_Dep_Name libnull
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libnegotiate
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid/port/win32/squid_mswin.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid_mswin.mak,v
retrieving revision 1.1.2.9
retrieving revision 1.1.2.9.2.1
diff -u -r1.1.2.9 -r1.1.2.9.2.1
--- squid/port/win32/squid_mswin.mak	2 Oct 2005 15:22:21 -0000	1.1.2.9
+++ squid/port/win32/squid_mswin.mak	8 Oct 2005 10:01:45 -0000	1.1.2.9.2.1
@@ -46,7 +46,7 @@
 DEFAULT_MIB_PATH	= $(datadir)/mib.txt
 DEFAULT_HOSTS		= none
 
-AUTH_MODULES = basic ntlm digest
+AUTH_MODULES = basic ntlm digest negotiate
 REPL_POLICIES = lru heap
 STORE_MODULES = ufs awin32 null
 
--- /dev/null	Wed Feb 14 01:13:16 2007
+++ squid/port/win32/libnegotiate/.cvsignore	Wed Feb 14 01:13:26 2007
@@ -0,0 +1,3 @@
+.cvsignore
+Debug
+Release
--- /dev/null	Wed Feb 14 01:13:16 2007
+++ squid/port/win32/libnegotiate/libnegotiate.dsp	Wed Feb 14 01:13:26 2007
@@ -0,0 +1,100 @@
+# Microsoft Developer Studio Project File - Name="libnegotiate" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Static Library" 0x0104
+
+CFG=libnegotiate - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "libnegotiate.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "libnegotiate.mak" CFG="libnegotiate - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "libnegotiate - Win32 Release" (based on "Win32 (x86) Static Library")
+!MESSAGE "libnegotiate - Win32 Debug" (based on "Win32 (x86) Static Library")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "libnegotiate - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LIB32=link.exe -lib
+# ADD BASE LIB32 /nologo
+# ADD LIB32 /nologo
+
+!ELSEIF  "$(CFG)" == "libnegotiate - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LIB32=link.exe -lib
+# ADD BASE LIB32 /nologo
+# ADD LIB32 /nologo
+
+!ENDIF 
+
+# Begin Target
+
+# Name "libnegotiate - Win32 Release"
+# Name "libnegotiate - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\negotiate\auth_negotiate.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\negotiate\auth_negotiate.h
+# End Source File
+# End Group
+# End Target
+# End Project
